local fn = _gn(0x7FEAD38B326B9F74)
--- Returns the current ammo type of the specified ped's specified weapon.
-- MkII magazines will change the return value, like Pistol MkII returning AMMO_PISTOL without any components and returning AMMO_PISTOL_TRACER after Tracer Rounds component is attached.
-- Use 0xF489B44DD5AF4BD9 if you always want AMMO_PISTOL.
function Global.GetPedAmmoTypeFromWeapon(ped, weaponHash)
	return _in2(fn, ped, _ch(weaponHash), _ri)
end
